<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/

	if (!defined("IN-BLOCK")) die();

	/*
	<%%>
	<?xml version="1.0" encoding="UTF-8"?>
	<blockscript>
		<info lang="en">
			<title>Recent Comments</title>
			<description>shows latests comments</description>
			<author><![CDATA[xiam &lt;<a href="mailto:xiam@users.sourceforge.net">xiam@users.sourceforge.net</a>&gt;]]></author>
			<homepage><![CDATA[<a href="http://www.gekkoware.org">http://www.gekkoware.org</a>]]></homepage>
		</info>
		<info lang="es">
			<title>Reciente</title>
			<description><![CDATA[Muestra comentarios recientes]]></description>
		</info>
		<variable name="limit">8</variable>
	</blockscript>
	<%%>
	*/

/*
	TODO: comment page
*/
	require_once GEKKO_ROOT."modules/comments/main.lib.php";
	require_once GEKKO_ROOT."lib/format.lib.php";

	$q = $GLOBALS["db"]->query("SELECT ID, Module, Thread, UserID, Nickname, Email,
	Icon, Title, Content, IPAddr, CreationTime FROM ".db_table("comment")."
	ORDER BY CreationTime DESC LIMIT 8", __FILE__, __LINE__, true);

	$return = "";

	$c = Array();
	$maxitems = conf::getKey("comments", "items_per_page");

	while ($row = $GLOBALS["db"]->fetch_row($q)) {

		$cid = "{$row["Module"]}.{$row["Thread"]}";

		// counting comments to calculate last comment page number
		if (!isset($c[$cid]["pages"])) {
			$c[$cid]["total"] = getCommentsCount($row["Module"], $row["Thread"]);
			$c[$cid]["pages"] = $c[$cid]["total"]/$maxitems;
			if ($c[$cid]["pages"] > intval($c[$cid]["pages"])) $c[$cid]["pages"] = intval(++$c[$cid]["pages"]);
			// item counter
			if (!($c[$cid]["rem"] = $c[$cid]["total"]%$maxitems)) $c[$cid]["rem"] = $maxitems;
		}

		if (--$c[$cid]["rem"] < 0) {
			$c[$cid]["pages"]--;
			$c[$cid]["rem"] = $maxitems;
		}
		saneHTML($row, "Content");
		$return .= "<b><a href=\""._l("C_SITE.REL_URL")."index.php/{$row["Module"]}/view/{$row["Thread"]}?page=".$c[$cid]["pages"]."#c{$row["ID"]}\" title=\"".dateFormat($row["CreationTime"])."\">".mkIcon($row["Icon"] ? $row["Icon"] : "comment.png",16)." ".$row["Title"]."</a></b><br />".mkIntro($row["Content"], 120)."<br /><div class=\"small\" style=\"text-align:right\"><b>"._l("L_POSTED_BY").":</b> ".mkCommentsUserLink($row["UserID"], $row["IPAddr"], $row["Nickname"], $row["Email"])."</div><hr />\n";
	}

?>