<?php

	/*
	*	Gekko - Open Source Web Content Management System
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, Josu Gerardo Gutirrez Hdez. <blacknash@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		Josu Gerardo Gutirrez Hdez. <blacknash@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/

	if (!defined("IN-BLOCK")) die();

	/*
	<%%>
	<?xml version="1.0" encoding="UTF-8"?>
	<blockscript>
		<info lang="en">
			<title>Random Phrase</title>
			<description>A block that show our phrases in a random order</description>
			<author><![CDATA[BlacKNasH &lt;<a href="mailto:blacknash@users.sourceforge.net">blacknash@users.sourceforge.net</a>&gt;]]></author>
			<homepage><![CDATA[<a href="http://www.gekkoware.org">http://www.gekkoware.org</a>]]></homepage>
		</info>
		<info lang="es">
			<title><![CDATA[Frase aleatoria]]></title>
			<description><![CDATA[Un bloque que muesta frases de manera aleatoria]]></description>
		</info>
		<variable name="items">3</variable>
	</blockscript>
	<%%>
	*/

	$q = $GLOBALS["db"]->query("SELECT ID, Phrase, Author
	FROM ".db_table("phrases")."
	ORDER BY RAND() LIMIT ".intval($items)."", __FILE__, __LINE__, true);

	$return = Array();
	while ($row = $GLOBALS["db"]->fetch_row($q)) {
		saneHTML($row);
		$return[] = $row["Phrase"].'<div class="small" style="text-align: right">- '.$row["Author"].'</div>';
	}
	$return = implode("<hr />", $return);

?>