<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/

	if (!defined("IN-BLOCK")) die();

	/*
	<%%>
	<?xml version="1.0" encoding="UTF-8"?>
	<blockscript>
		<info lang="en">
			<title>Tagboard</title>
			<description>Simple toy where users can quickly post comments.</description>
			<author><![CDATA[xiam &lt;<a href="mailto:xiam@users.sourceforge.net">xiam@users.sourceforge.net</a>&gt;]]></author>
			<homepage><![CDATA[<a href="http://www.gekkoware.org">http://www.gekkoware.org</a>]]></homepage>
		</info>
		<info lang="es">
			<title>Tagboard</title>
			<description><![CDATA[Juguete simple donde los usuarios pueden dejar comentarios rapidamente.]]></description>
		</info>
	</blockscript>
	<%%>
	*/

	require_once GEKKO_ROOT."modules/tagboard/main.lib.php";
	require_once GEKKO_ROOT."lib/format.lib.php";

	$GLOBALS["Lang"]->load("tagboard");

	$return = new ContentBlock();
	$return->load("tagboard/post.block.tpl");

	$q = $GLOBALS["db"]->query("SELECT ID, UserID, CreationTime, Nickname, Link, Message
	FROM ".db_table("tagboard")." ORDER BY CreationTime DESC");

	$messages = 0;
	$sw_class = 0;



	$gbbp = new GBBCodeParser();
	while ($row = $GLOBALS["db"]->fetch_row($q)) {

		if ($messages >= Conf::getKey("tagboard", "max.items")) {

			$p = $GLOBALS["db"]->query("DELETE FROM ".db_table("tagboard")." WHERE ID = '{$row["ID"]}'", __FILE__, __LINE__, true);

		} else {
			saneHTML($row);

			$row["Message"] = $gbbp->smile(break_words($row["Message"]));

			$row["Nickname"] = mkTagboardUserLink($row["UserID"], $row["Nickname"], $row["Link"]);
			$row["CreationTime"] = dateFormat($row["CreationTime"]);
			$row["SW_CLASS"] = "sw_class_".($sw_class ? ($sw_class = 0) : ($sw_class = 1));

			$return->set_arr($row, "MESSAGE");
			$return->saveBuff("MESSAGE");
		}

		$messages++;
	}
	unset($gbbp);

	$return->set_arr (
		Array (
			"ACTION" => "post",
			"NICKNAME" => "",
			"LINK" => "",
			"RETURN" => "",
			"USER" => gauth("$"),
			"MESSAGES" => $messages
		)
	);

	$return = $return->make();

?>