<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/

	if (!defined("IN-BLOCK")) die();

	/*
	<%%>
	<?xml version="1.0" encoding="UTF-8"?>
	<blockscript>
		<info lang="en">
			<title>Recent Posts</title>
			<description>Recent Posts on Forums</description>
			<author><![CDATA[xiam &lt;<a href="mailto:xiam@users.sourceforge.net">xiam@users.sourceforge.net</a>&gt;]]></author>
			<homepage><![CDATA[<a href="http://www.gekkoware.org">http://www.gekkoware.org</a>]]></homepage>
		</info>
		<info lang="es">
			<title>Posts Recientes</title>
			<description><![CDATA[Muestra escritos recientes en foros]]></description>
		</info>
		<variable name="limit">5</variable>
	</blockscript>
	<%%>
	*/

	require_once GEKKO_ROOT."modules/forums/main.lib.php";
	require_once GEKKO_ROOT."lib/format.lib.php";


	$frm_lock = forum_getAllowedCategories(true, "f.CategoryID");

	$q = $GLOBALS["db"]->query("SELECT
	m.ID, m.Icon, m.Title, m.TopicID, m.UserID, m.Nickname, m.ContactMail, t.ForumID, f.CategoryID
	FROM ".db_table("forum_message")." m, ".db_table("forum_thread")." t,
	".db_table("forum_forum")." f, ".db_table("forum_category")." c
	WHERE
	m.TopicID = t.ID AND t.ForumID = f.ID AND f.CategoryID = c.ID AND ($frm_lock)
	ORDER BY CreationTime
	DESC LIMIT $limit", __FILE__, __LINE__, true);

	$return = Array();
	while ($row = $GLOBALS["db"]->fetch_row($q)) {
		saneHTML($row);
		//gdebug($row);
		$return[] = "<a href=\""._l("C_SITE.REL_URL")."index.php/forums/{$row["CategoryID"]}/{$row["ForumID"]}/{$row["TopicID"]}?page=last#{$row["ID"]}\">".mkIcon($row["Icon"] ? $row["Icon"] : "message.png",16)." {$row["Title"]}</a><br />"._l("L_POSTED_BY")." ".mkForumUserLink($row["UserID"], $row["Nickname"], $row["ContactMail"])."<br />\n";
	}
	$return = implode("<hr />\n", $return);
?>