<?php

	/*
	*	Gekko - Open Source Web Content Management System
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, Josu Gerardo Gutirrez Hdez. <blacknash@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		Josu Gerardo Gutirrez Hdez. <blacknash@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/

	if (!defined("IN-BLOCK")) die();

	/*
	<%%>
	<?xml version="1.0" encoding="UTF-8"?>
	<blockscript>
		<info lang="en">
			<title>Random Friend</title>
			<description>A block that show our friends in a random order</description>
			<author><![CDATA[xiam &lt;<a href="mailto:blacknash@users.sourceforge.net">blacknash@users.sourceforge.net</a>&gt;]]></author>
			<homepage><![CDATA[<a href="http://www.gekkoware.org">http://www.gekkoware.org</a>]]></homepage>
		</info>
		<info lang="es">
			<title><![CDATA[Amigo aleatorio]]></title>
			<description><![CDATA[Un bloque que muesta nuestros amigos de manera aleatoria]]></description>
		</info>
		<variable name="items">5</variable>
	</blockscript>
	<%%>
	*/


	/*
	 changes by xiam <xiamkong@yahoo.com.mx>:
		- removed non XHTML 1.0 strict tags.
		- 'Content' field now accepts HTML code.
		- using sw_class() for alternate between <div> classes
	*/

	$q = $GLOBALS["db"]->query("SELECT ID, Friend, URL, Description
	FROM ".db_table("friends")."
	ORDER BY RAND() LIMIT $items", __FILE__, __LINE__, true);

	$return = "";
	$sw = 0;
	while ($row = $GLOBALS["db"]->fetch_row($q)) {
		saneHTML($row, "Content");
		$return .= "
		<div class=".sw_class($sw).">
			<a onclick=\"window.open(this.href, '_blank'); return false;\" href=".$row["URL"]." onmouseout=\"javascript:document.getElementById('description_friend').innerHTML ='';\" onmouseover=\"javascript:document.getElementById('description_friend').innerHTML ='".$row["Description"]."';\">
			".$row["Friend"]."
			</a>
		</div>";
	}
	$return ="<div style=\"text-align: center\">$return</div><div id=\"description_friend\" style=\"padding: 8px\"></div>\n";
?>