<?php

	/*
	*	Gekko - Open Source Web Content Management System
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, Josu Gerardo Gutirrez Hdez. <blacknash@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		Josu Gerardo Gutirrez Hdez. <blacknash@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/

	define ("IN-GEKKO", true);

	require_once "../../conf.php";
	require_once GEKKO_ROOT."lib/core.lib.php";

	db_init();

	require_once GEKKO_ROOT."lib/auth.inc.php";

	if (!is_admin())
		abort(accessDenied());

	gpGet("action", 1);
	gpGet("id", 1);
	gpGet("return", 1);

	switch ($action) {
		case "add":
			gpGlobalize("friend, url, description");
			requireVars($friend, $url);

			$db->query ("
				INSERT INTO ".db_table("friends")."
				(
					ID,
					Friend,
					URL,
					Description
				)
					VALUES
				(
					'".$db->free_id("friends")."',
					'{$friend}',
					'{$url}',
					'{$description}'
				)
			", __FILE__, __LINE__);
		break;
		case "delete":
			requireVars($id);
			$db->query("DELETE FROM ".db_table("friends")." where ID=".$id);
		break;
		case "edit":

			gpGlobalize("friend, url, description");
			requireVars($id, $friend, $url);

			$db->query("
				UPDATE ".db_table("friends")." SET
					Friend = '{$friend}',
					URL = '{$url}',
					Description = '{$description}'
				WHERE ID = '{$id}'
			", __FILE__, __LINE__);
		break;
		default:
			abort(_l("L_UNDEFINED_ACTION"));
		break;
	}

	redirect($return ? $return : $_SERVER["HTTP_REFERER"]);

	db_exit();
?>