<?php

	/*
	*	Gekko - Open Source Web Content Management System
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, Josu Gerardo Gutirrez Hdez. <blacknash@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		Josu Gerardo Gutirrez Hdez. <blacknash@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	class GekkoModule_Friends {
		function create_menu() {
			return false;
		}
		function configure() {
			Conf::getKey("friends", "items_per_admin_page", 5, "i");
		}
		function install() {
			$GLOBALS["db"]->query("
			CREATE TABLE ".db_table("friends")." (
				ID SMALLINT (8) UNSIGNED NOT NULL AUTO_INCREMENT, PRIMARY KEY (ID),
				Friend VARCHAR (32),
				URL TEXT,
				Description TEXT
			)", __FILE__, __LINE__, true);

			modCore::registerModule($GLOBALS["cgdb"]["friends"], "friends", "*", $GLOBALS["cgdb"]["friends"]);
		}
		function uninstall() {
			$GLOBALS["db"]->query("DROP TABLE IF EXISTS ".db_table("friends"), __FILE__, __LINE__, true);
		}
		function upgrade($provided_v) {
			if (check_version("0.2", $provided_v) < 0) {
				$GLOBALS["db"]->query("ALTER TABLE ".db_table("friends")."
				CHANGE COLUMN URL URL VARCHAR(32)",
				__FILE__, __LINE__);
			}
		}
		function ext_uninstall($module) {

		}
	}

?>