<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/

	if (!defined("IN-BLOCK")) die();

	/*
	<%%>
	<?xml version="1.0" encoding="UTF-8"?>
	<blockscript>
		<info lang="en">
			<title>Recent</title>
			<description>Recent Entries</description>
			<author><![CDATA[xiam &lt;<a href="mailto:xiam@users.sourceforge.net">xiam@users.sourceforge.net</a>&gt;]]></author>
			<homepage><![CDATA[<a href="http://www.gekkoware.org">http://www.gekkoware.org</a>]]></homepage>
		</info>
		<info lang="es">
			<title>Reciente</title>
			<description><![CDATA[Muestra notas recientes]]></description>
		</info>
		<variable name="limit">3</variable>
	</blockscript>
	<%%>
	*/

	require_once GEKKO_ROOT."modules/categories/main.lib.php";
	require_once GEKKO_ROOT."lib/format.lib.php";

	$cat_lock = getAllowedCategories(true);

	$q = $GLOBALS["db"]->query("SELECT ID, UserID, Category, Icon, Title, Introduction,
	CreationTime FROM ".db_table("news")."
	WHERE Status = '1' AND ($cat_lock) ORDER BY CreationTime DESC LIMIT $limit", __FILE__, __LINE__, true);

	$return = Array();
	while ($row = $GLOBALS["db"]->fetch_row($q)) {
		saneHTML($row, "Introduction");
		$return[] = "<h4><a href=\""._l("C_SITE.REL_URL")."index.php/news/view/".urlencode($row["Title"])."?id={$row["ID"]}\" title=\"".dateFormat($row["CreationTime"])."\">".mkIcon($row["Icon"] ? $row["Icon"] : "news.png",16)." {$row["Title"]}</a></h4>".mkIntro($row["Introduction"], 120)."<br /><div class=\"small\" style=\"text-align:right\"><b>"._l("L_POSTED_BY").":</b> ".getUserByID($row["UserID"])."</div>";
	}
	$return = implode("<hr />\n", $return);

?>