<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/

	define ("IN-GEKKO", true);

	require_once "../../conf.php";
	require_once GEKKO_ROOT."lib/core.lib.php";
	require_once GEKKO_ROOT."modules/tagboard/main.lib.php";

	db_init();
	require_once GEKKO_ROOT."lib/auth.inc.php";

	gpGet("action", 1);
	gpGet("id", 1);
	gpGet("return", 1);

	switch ($action) {
		case "delete":
			if (is_admin()) {
				execWithEach($id, "deleteTagboardEntry");
			}
		break;
		case "edit":
			if (is_admin()) {
				gpGlobalize("message");
				foreach ($message as $id => $content) {
					$db->query("UPDATE ".db_table("tagboard")."
					SET Message = '{$content}' WHERE ID = '{$id}'", __FILE__, __LINE__);
				}
			}
		break;
		case "post":

			$AccessTable->GateKeeper("tagboard", "post", "E_ANTI_FLOOD");

			gpGlobalize("nickname, link, message");

			requireVars($message);

			// inserting into database
			$db->query ("
			INSERT INTO ".db_table("tagboard")."
				(
					ID,
					UserID,
					UserIP,
					CreationTime,
					Nickname,
					Link,
					Message
				)
					VALUES
				(
					'".$db->free_id("tagboard")."',
					'".(isset($User["ID"]) ? $User["ID"]: 0)."',
					'".getIP()."',
					'".time()."',
					'{$nickname}',
					'{$link}',
					'{$message}'
				)
			", __FILE__, __LINE__);

			slog("tagboard: post", "actions", 1);

		break;
		default:
			abort(_l("L_UNDEFINED_ACTION"));
		break;
	}

	redirect($return ? $return : $_SERVER["HTTP_REFERER"]);

	db_exit();
?>